import request from '@/utils/http'
// 根据订单 获取报备类型
/*export function getReportListByOrder(key){
  return request({
    url: '/order/baseDriverReportConfigs/getByOrderId',
    method:'GET',
    params: key
  })
}*/
// 弹框
export function successPopup( data) {
  return request({
    url: '/returnOrder/wechatDriver/user/successPopup',
    method:'POST',
    contentType: 'application/x-www-form-urlencoded',
    data
  })
}
// 认证进度
export function infoVerifyProgress(data){
  return request({
    url: '/returnOrder/wechatDriver/user/infoVerifyProgress',
    method:'POST',
    contentType: 'application/json',
    data
  })
}

// 认证详情
export function driverInfoVerifyDetail(data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverInfoVerifyDetail',
    method:'POST',
    data: data,
    contentType: 'application/json',
  })
}

// 我的信息
export function getMyInfo(data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverDetail',
    method:'POST',
    data: data,
  })
}
// ocr识别
export function ocrRecognize( data) {
  return request( {
    url:'/returnOrder/wechatDriver/user/ocrRecognize',
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}
// 认证
export function driverInfoVerify( data) {
  return request({
    url:'/returnOrder/wechatDriver/user/driverInfoVerify',
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}
// 实名认证
export function driverRealName( data) {
  return request('/returnOrder/wechatDriver/user/driverRealNameAuth', {
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}
//获取需要确认的人员信息列表
export function getConfirmPerson(key){
  return request({
    url: '/supplierAppV2/dispatchApp/wechat/getNeedConfirmPersonInfo',
    method:'GET',
    params: key
  })
}
//微信相关 获取联系我 二维码
export function getQrCode(key){
  return request({
    url: '/supplierAppV2/dispatchApp/wechat/getQrCode',
    method:'GET',
    params: key
  })
}
//获取服务商的确认状态
export function getConfirmStatus(key){
  return request({
    url: '/supplierAppV2/dispatchApp/wechat/getSupplier',
    method:'GET',
    params: key
  })
}
//确认已添加微信按钮
export function confirmAddWechat(key){
  return request({
    url: '/supplierAppV2/dispatchApp/wechat/confirmAddWechat',
    method:'GET',
    params: key
  })
}
//确认无误
export function confirm(key){
  return request({
    url: '/supplierAppV2/dispatchApp/wechat/confirm',
    method:'GET',
    params: key
  })
}
//提交审批
export function submitConfirm( data) {
  return request('/supplierAppV2/dispatchApp/wechat/submitConfirm', {
    data: data,
    method:'POST',
    contentType: 'application/json'
  })
}